
Infrastructure - Bug #8117

Jenkins builds failing due to conflict between JDK 7 and 8

2017-06-27 21:08 - Dave Vieglais

Status: Closed Start date: 2017-06-27

Priority: Urgent Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Support Operations Estimated time: 0.00 hour

Target version: CCI-2.3.5   

Milestone: None Story Points:  

Product Version: *   

Description

Maven build fail because of:

https://issues.jenkins-ci.org/browse/JENKINS-44703

https://wiki.jenkins.io/display/JENKINS/Maven+Project+Plugin

It appears the only solutions are either:

1) build everything with Java 1.8

2) Roll back to a version of Jenkins < 2.5.4

History

#1 - 2017-06-27 21:44 - Dave Vieglais

- Description updated

#2 - 2017-06-27 22:19 - Dave Vieglais

Decided to use JDK 8 for builds but configure maven to build for Java 7 using only Java 7 sources.

See: https://maven.apache.org/plugins/maven-compiler-plugin/examples/set-compiler-source-and-target.html

[...]

1.7

1.7

[...]

Need to verify that all projects have the source and target version specified.

#3 - 2017-06-28 15:12 - Dave Vieglais

- Status changed from In Progress to Closed

- % Done changed from 30 to 100
